Skip to main content

Get Package

Get full package definition with all modules via MovePackageService/GetPackage. Enables bulk metadata retrieval for offline analysis.

Service​

sui.rpc.v2.MovePackageService

Parity​

Direct

This method has a direct mapping from the JSON-RPC method sui_getNormalizedMoveModulesByPackage.

Request​

Parameters​

{
"package_id": "0x2"
}

Example (grpcurl)​

grpcurl -H "x-api-key: YOUR_API_KEY" \
-d '{"package_id":"0x2"}' \
grpc.surflux.dev:443 \
sui.rpc.v2.MovePackageService/GetPackage
▶Run in Playground

Response​

The response structure is defined by the sui/rpc/v2/move_package_service.proto definition.

Response Fields​

FieldTypeDescription
packagePackageSee proto definition
info

For full field definitions, please refer to the Sui Protobuf definitions.